* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

:root {
    --padding: 20px;
    --blur: 0px;
    --base: #ff8500;
    --width: 50%;
    --border: 15px;
}

body {
    display: flex;
    align-items: center;
    justify-content: center;
    min-height: 100vh;
    text-align: center;
    font-family: sans-serif;
    background-color: #f6f6f6;
}

.container {
    border-radius: 20px;
    background: linear-gradient(to right, #1d2b64, #61045f);
    box-shadow: 10px 10px 10px rgba(246, 178, 172, 0.2),
                -10px -10px 30px rgba(255, 107, 107, 0.8);
    padding: 3rem;
}

.heading {
    font-size: 2rem;
    color: #f6f6f6;
    margin-bottom: 1rem;
}

.sub-heading {
    font-size: 1.2rem;
    color: var(--base);
    margin-bottom: 1rem;
    font-weight: 800;
}

.css-container {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    padding: 1rem 0;
}

label {
    padding-left: 1rem;
    font-size: 1rem;
    color: #f6f6f6;
    margin-top: 0.5rem;
}


input[type="color"] {
    width: 30px;
    height: 30px;
    vertical-align: middle;
    margin-left: 5px;
    border-radius: 50%;
    border: none;
    outline: none;
    cursor: pointer;
}

.css-container input[type="color"]::-webkit-color-swatch {
    border: none;
    border-radius: 50%;
}

.css-container input[type="color"]::-webkit-color-swatch-wrapper {
    padding: 0;
}

.css-container input[type="color"]::-moz-color-swatch {
    border: none;
    border-radius: 50%;
}

.css-container input[type="color"]::-moz-color-swatch-wrapper {
    padding: 0;
}

.css-container input[type="range"] {
    width: 100%;
}

img {
    max-width: 750px;
    width: var(--width);
    height: 80%;
    margin-top: 1rem;
    padding: var(--padding);
    filter: blur(var(--blur));
    background-color: var(--base);
    border-radius: var(--border);
    transition: filter 0.3s ease-in-out, background-color 0.3s ease-in-out;
}

